//  ChatConsumerImpl.java
//
//  Last modified 2/17/99 by Alan Frindell
//
//  Implementation of the ChatConsumer callback object
//
//  This class is created by the ChatClientApplet and sent to the
// ChatServer to receive all the messages posted to the chat room.
//
//  You will need to modify this code to implement the security features
// of the chat system.

package Authenticator.Chat;

import java.rmi.*;
import java.rmi.server.UnicastRemoteObject;

import java.awt.TextArea;

import java.security.*;
import java.security.spec.*;
import java.security.interfaces.*;
import javax.crypto.*;
import javax.crypto.spec.*;
import javax.crypto.interfaces.*;

public class ChatConsumerImpl extends UnicastRemoteObject
                              implements ChatConsumer {

  TextArea mOutputArea;

  //  ChatConsumerImpl constructor
  //
  //  Takes the text area where the messages should be displayed.

  public ChatConsumerImpl(TextArea outputArea) 
    throws RemoteException {

    mOutputArea = outputArea;
  }


  //  consumeMessage
  //
  //  Called by the server when a message has been posted to the chat
  // room.  Append the message to the output area.

  public void consumeMessage(String msg) throws RemoteException {
    mOutputArea.append(msg);
  }
  
}

