//  ChatRoomPanel.java
//
//  Last modified 2/17/99 by Alan Frindell
//
//  GUI class for the chat room.
//
//  You should not need to modify this class.

package Authenticator.Chat;

import java.awt.*;
import java.awt.event.*;


public class ChatRoomPanel extends Panel {
  ChatClientApplet mApplet;

  TextArea mInputArea = new TextArea("", 0, 0, 
				     TextArea.SCROLLBARS_VERTICAL_ONLY);
  Label mChatLabel = new Label();
  Label mMessageLabel = new Label();
  TextArea mOutputArea = new TextArea("", 0, 0, 
				      TextArea.SCROLLBARS_VERTICAL_ONLY);
  Button mQuitButton = new Button();
  CardLayout mLayout = new CardLayout();
  
  
  public ChatRoomPanel(ChatClientApplet theApplet) {
    try {
      mApplet = theApplet;

      jbInit();
    }
    catch (Exception e) {
      System.out.println("ChatClientApplet exception: " + e.getMessage());
      e.printStackTrace();
    }
  }
  
  //Component initialization
  private void jbInit() throws Exception {
    this.setSize(new Dimension(416, 368));

    this.setBackground(Color.lightGray);
    mInputArea.setBounds(new Rectangle(4, 260, 408, 64));
    mInputArea.addKeyListener(new java.awt.event.KeyAdapter() {
      public void keyReleased(KeyEvent e) {
	mInputArea_keyReleased(e);
      }
    });
    mChatLabel.setText("Chat Room:");
    mChatLabel.setBounds(new Rectangle(4, 12, 72, 16));
    mOutputArea.setBounds(new Rectangle(4, 32, 408, 192));
    mMessageLabel.setText("Your Message:");
    mMessageLabel.setBounds(new Rectangle(4, 240, 96, 16));
    mQuitButton.setLabel("Leave Chat Room");
    mQuitButton.setBounds(new Rectangle(296, 332, 112, 32));
    mQuitButton.addMouseListener(new java.awt.event.MouseAdapter() {
      public void mouseClicked(MouseEvent e) {
	mQuitButton_mouseClicked(e);
      }
    });
    this.setLayout(null);
    this.add(mInputArea, null);
    this.add(mChatLabel, null);
    this.add(mMessageLabel, null);
    this.add(mOutputArea, null);
    this.add(mQuitButton, null);
  }
  
  public TextArea getOutputArea() {
    return mOutputArea;
  }

  void mInputArea_keyReleased(KeyEvent e) {
    String msg;
    
    if (e.getKeyChar() == KeyEvent.VK_ENTER) {
      msg = mInputArea.getText();
      if (msg.length() == 0) {
	return;
      }
      mInputArea.setText("");
      mApplet.sendMessage(msg);
    }
  }
  
  void mQuitButton_mouseClicked(MouseEvent e) {
    mApplet.destroy();
  }
}
