//  ChatServer.java
//
//  Last modified 2/17/99 by Alan Frindell
//
//  RMI interface file for the Chat Server.
//
//  This is a collection of the methods that can be called on a remote
// Chat server.  
//
//  You will need to both modify and add calls to this interface to
// support authentication, encryption and any other security measures you
// feel necessary.

package Authenticator.Chat;

import java.rmi.*;
import java.math.BigInteger;
import java.security.*;

interface ChatServer extends Remote {

  public Integer getClientID() throws RemoteException;

  public PublicKey keyExchange(PublicKey pubKey, Integer clientID)
    throws RemoteException;

  public void register(ChatConsumer consumer, Integer ClientID) 
    throws RemoteException;

  public void unregister(Integer clientID) throws RemoteException;

  public void postMessage(String msg, Integer clientID) throws RemoteException;
}
