//  ChatSubscriberPanel.java
//
//  Last modified 2/17/99 by Alan Frindell
//
//  GUI class for the subscription panel.
//
//  You should not have to modify this class.

package Authenticator.Chat;

import java.awt.*;
import java.awt.event.*;
import java.rmi.*;

public class ChatSubscribePanel extends Panel {
  ChatClientApplet mApplet;

  String mHandle;
  String mPassword;
  String mHost;
  int mPort;

  Label mTitleLabel = new Label();
  Label mNameLabel = new Label();
  TextField mNameField = new TextField();
  Label mStatusLabel = new Label();
  Button mSubscribeButton = new Button();

  public ChatSubscribePanel(ChatClientApplet theApplet) {
    try  {
      jbInit();
      
      mApplet = theApplet;
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }

  public void setParams(String handle, String password, String host, 
			int port) {
      mHandle = handle;
      mPassword = password;
      mHost = host;
      mPort = port; 
  }

  private void jbInit() throws Exception {
    this.setSize(new Dimension(416, 368));
    mTitleLabel.setBounds(new Rectangle(96, 56, 224, 32));
    mTitleLabel.setAlignment(1);
    mTitleLabel.setText("You are not registered with the escrow");
    mNameLabel.setBounds(new Rectangle(96, 96, 224, 32));
    mNameLabel.setAlignment(1);
    mNameLabel.setText("Please enter your REAL name:");
    mNameField.setBounds(new Rectangle(96, 144, 224, 32));
    mStatusLabel.setBounds(new Rectangle(96, 192, 224, 32));
    mStatusLabel.setAlignment(1);
    mSubscribeButton.setBounds(new Rectangle(176, 242, 64, 32));
    mSubscribeButton.setLabel("Subscribe");
    mSubscribeButton.addMouseListener(new java.awt.event.MouseAdapter() {
      public void mouseClicked(MouseEvent e) {
	mSubscribeButton_mouseClicked(e);
      }
    });
    this.setLayout(null);
    this.add(mTitleLabel, null);
    this.add(mNameLabel, null);
    this.add(mNameField, null);
    this.add(mStatusLabel, null);
    this.add(mSubscribeButton, null);
  }
  
  void mSubscribeButton_mouseClicked(MouseEvent e) {
    String name = mNameField.getText();
    if (name.equals("")) {
      mStatusLabel.setText("You must enter your name to subscribe!");      
      return;
    }
    
    mStatusLabel.setText("Subscribing to the Chat service...");
    mApplet.subscribe(mHost, mPort, name, mHandle, mPassword);
  }
  
}
