//  Escrow.java
//
//  Last modified 2/16/99 by Alan Frindell
//
//  RMI interface file for the Escrow Server.
//
//  This is a collection of the methods that can be called on a remote
// Escrow server.  
//
//  You may modify this to improve the system if you wish, but please
// document your changes.

package Authenticator;

import java.rmi.*;

import java.math.BigInteger;

import java.security.*;
import java.security.spec.*;
import java.security.interfaces.*;
import javax.crypto.*;
import javax.crypto.spec.*;
import javax.crypto.interfaces.*;

public interface Escrow extends Remote {

  public void initService(String service) throws RemoteException;

  public PublicKey keyExchange(PublicKey pubKey) throws RemoteException;

  public byte[] subscribe(byte[] encUsername, byte[] encService) 
    throws RemoteException;

  public AuthenticatorPublicKey getPublicKeyFor(String service) 
    throws RemoteException;

  public PublicKey getSignatureKey() throws RemoteException;

  public String getIdentity(String service, BigInteger z) 
    throws RemoteException;


}
